Subject: Re: [StGit PATCH 07/10] Teach the new infrastructure about the index and worktree

From: David Kågedal <[email-masked]>
Date: Mon, 26 Nov 2007 09:56:42 +0100

Karl Hasselström <[email-masked]> writes:

> --- a/stgit/lib/git.py
> +++ b/stgit/lib/git.py
> @@ -95,6 +95,8 @@ class Commitdata(Repr):
>          return type(self)(committer = committer, defaults = self)
>      def set_message(self, message):
>          return type(self)(message = message, defaults = self)
> +    def is_empty(self):
> +        return self.tree == self.parent.data.tree
>      def __str__(self):
>          if self.tree == None:
>              tree = None

But a Commitdata describes a Git commit, right? And not an StGit
patch. So what does it mean to say that a commit is empty? I could
just as well mean that the tree is the null tree.

I think I would have called this "is_nochange" or something.

-- 
David Kågedal